Skip to main content
ExLibris
  • Subscribe by RSS
  • Ex Libris Knowledge Center

    Upgrade Express: "You haven't run Install customer data" error

    • Article Type: General
    • Product: Aleph
    • Product Version: 19.01

    Description:
    The Upgrade Express kit gives us an error when trying to run the upgrade:

    -- 3. Run upgrade express

    Please select [0]: 3
    You haven't run
    Install customer data

    We don't need to install customer data. Please advise.

    Resolution:
    The "Install customer data" option appears in the upgrade_util menu when the proc finds a ./conf/par_file file.

    The message "You haven't run Install customer data" occurs when "Install customer data" option is selected from the upgrade_util menu but the ./data/a20_1_step_list file doesn't contain a line like this:

    install_utree

    If have already loaded your data (by some other means) or, if the source and the target are on the same server, you can do one of two things to proceed with other steps:

    1. Rename the ./conf/par_file to par_file.notneeded ; or

    2. Add the "install_utree" line to the ./data/a20_1_step_list file.

    Additional Information

    UE error Run upgrade express You haven't run Install customer data


    • Article last edited: 10/8/2013